aboutsummaryrefslogtreecommitdiff
path: root/test/python/install_jupyterlab_debian.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/python/install_jupyterlab_debian.sh')
-rw-r--r--test/python/install_jupyterlab_debian.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/python/install_jupyterlab_debian.sh b/test/python/install_jupyterlab_debian.sh
new file mode 100644
index 0000000..3db7fd4
--- /dev/null
+++ b/test/python/install_jupyterlab_debian.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Check for an installation of JupyterLab
+check "version" jupyter lab --version
+
+# Check location of JupyterLab installation
+packages="$(python3 -m pip list)"
+check "location" grep jupyter <<< "$packages"
+
+# Check for git extension
+check "jupyterlab_git" grep jupyterlab_git <<< "$packages"
+
+# Check for correct JupyterLab configuration
+check "config" grep ".*.allow_origin = '*'" /root/.jupyter/jupyter_server_config.py
+
+# Report result
+reportResults